import { DirectiveBinding } from 'vue';
import { Subscription } from 'rxjs';
import { DescendantChildren } from './desc-reg.service';
import { DropSortSyncDescendantRegisterService } from './drag-drop-descendant-sync.service';
import { DragDropSyncService } from './drag-drop-sync.service';
import { DroppableDirective, type DragPlaceholderInsertionEvent, type DragPlaceholderInsertionIndexEvent } from '../droppable.directive';
export interface IDropSortSyncBinding {
    dropSortSync?: string;
    dropSyncGroup?: string;
    dropSyncDirection?: 'v' | 'h';
    [props: string]: any;
}
export declare class DropSortSyncDirective extends DescendantChildren<DropSortSyncDirective, IDropSortSyncBinding> {
    private droppable;
    private dragDropSyncService;
    static INSTANCE_KEY: string;
    inputNameMap?: {
        [key: string]: string;
    } | undefined;
    dropSyncGroup: string;
    direction: 'v' | 'h';
    subscription: Subscription;
    syncGroupDirectives: Array<DropSortSyncDirective>;
    placeholder: HTMLElement;
    sortContainer: HTMLElement;
    el: {
        nativeElement: any;
    };
    constructor(el: HTMLElement, droppable: DroppableDirective, dragDropSyncService: DragDropSyncService, dropSortSyncDrs: DropSortSyncDescendantRegisterService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    subRenderEvent: (nativeStyle: {
        width: number;
        height: number;
    }) => void;
    subInsertionEvent: (cmd: DragPlaceholderInsertionIndexEvent) => void;
    getChildrenElByIndex(target: any, index?: any): Element | null;
    renderPlaceholder(nativeStyle: {
        width: number;
        height: number;
    }, droppable: any): void;
    insertPlaceholderCommand(cmd: DragPlaceholderInsertionEvent): void;
}
declare const _default: {
    mounted(el: HTMLElement & {
        [props: string]: any;
    }, binding: DirectiveBinding<IDropSortSyncBinding>, vNode: any): void;
    updated(el: HTMLElement & {
        [props: string]: any;
    }, binding: DirectiveBinding<IDropSortSyncBinding>): void;
    beforeUnmount(el: HTMLElement & {
        [props: string]: any;
    }): void;
};
export default _default;
