import { CommitInfo, GitGraphData } from "./git-graph-types";
export declare class GitGraph {
    element?: HTMLElement;
    options?: GitGraphData;
    mtime: number;
    mspace: number;
    parents: any;
    offsetX: number;
    offsetY: number;
    unitTime: number;
    unitSpace: number;
    prev_start: number;
    preparedCommits: any;
    preStart: number;
    isDark: boolean;
    daysBefore: string;
    hoursAgo: string;
    minutesAgo: string;
    aMinutesAgo: string;
    maxNameLength: number;
    commits: CommitInfo[];
    graphHeight: number;
    graphWidth: number;
    svg: any;
    barHeight: number;
    messageBoxWidth: number;
    colors: string[];
    toolTipList: any;
    load(element: HTMLElement, options: GitGraphData, isDark: boolean): void;
    prepareData(commits: CommitInfo[]): void;
    collectParent(): number[][];
    buildGraph(refName: string): void;
    setNodeAttr(node: Element, attrs: any): void;
    __transform(time: any): string;
    renderPartialGraph(refName: string): void;
    drawDot(x: number, y: number, commit: CommitInfo): void;
    drawLines(x: number, y: number, commit: CommitInfo): void;
    appendLabel(x: number, y: number, commit: CommitInfo): void;
    appendAnchor(x: number, y: number, commit: CommitInfo, refName: any): void;
    getText(x: number, y: number, text: any, attrs?: any): SVGTextElement;
    commitTooltip(x: number, y: number, commit: CommitInfo, isDark: boolean): void;
    textWrap(t: any, width: any, x: any): void;
}
